# IRdPhysObjAttrDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Material ([in] float m,[in] float e,[in] float r,[in] float f,[in] float c)
## Properties
int * | Type`[get]`
int | Type`[set]`
RtBool * | Active`[get]`
RtBool | Active`[set]`
VARIANT * | Speed`[get]`
VARIANT | Speed`[set]`
VARIANT * | Rotation`[get]`
VARIANT | Rotation`[set]`
VARIANT * | AccSpeed`[get]`
VARIANT | AccSpeed`[set]`
VARIANT * | AccRotation`[get]`
VARIANT | AccRotation`[set]`
BSTR * | Name`[get]`
BSTR | Name`[set]`
RtFloat * | Elasticity`[get]`
RtFloat | Elasticity`[set]`
RtFloat * | Friction`[get]`
RtFloat | Friction`[set]`
RtFloat * | Mass`[get]`
RtFloat | Mass`[set]`
RtFloat * | Coarseness`[get]`
RtFloat | Coarseness`[set]`
RtFloat * | Resistance`[get]`
RtFloat | Resistance`[set]`

## Detailed Description

RdPhysObjAttrDisp is a scriptable version of IRdPhysObjAttrDisp.

## Member Function Documentation

HRESULT IRdPhysObjAttrDisp::Material | ( | [in] float | m,
|  | [in] float | e,
|  | [in] float | r,
|  | [in] float | f,
|  | [in] float | c |
| ) |  |  |

Set material parameters.

Parameters:

  | m | [in] mass.
  | e | [in] elasticity.
  | r | [in] resistance.
  | f | [in] friction.
  | c | [in] coarseness.

## Property Documentation

int* IRdPhysObjAttrDisp::Type`[get]`

Get type of attributes.

Returns:
  pVal [out,retval] Type of object.
  - 1 anim object.
  - 2 simple object.
  - 3 group object.
  - 4 IK object.
  - 5 script object.

int IRdPhysObjAttrDisp::Type`[set]`

Set type of attributes.

Parameters:

  | val | [in] type of objects. 1 anim object. 2 simple object. 3 group object. 4 IK object. 5 script object.

RtBool * IRdPhysObjAttrDisp::Active`[get]`

Return active state of object.

Returns:
  bActive [out,retval] Active flag.

RtBool IRdPhysObjAttrDisp::Active`[set]`

Set an active state of object.

Parameters:

  | bActive | [in] active flag.

VARIANT* IRdPhysObjAttrDisp::Speed`[get]`

Return speed.

Returns:
  pVal [out,retval] Speed value.

VARIANT IRdPhysObjAttrDisp::Speed`[set]`

Set speed.

Parameters:

  | Speed | [in] Set speed value.

VARIANT* IRdPhysObjAttrDisp::Rotation`[get]`

Return rotation.

Returns:
  pVal [out,retval] Rotation value.

VARIANT IRdPhysObjAttrDisp::Rotation`[set]`

Set rotation.

Parameters:

  | pVal | [in] Set rotation value.

VARIANT* IRdPhysObjAttrDisp::AccSpeed`[get]`

Return acceleration.

Returns:
  pVal [out,retval] Acceleration-speed value.

VARIANT IRdPhysObjAttrDisp::AccSpeed`[set]`

Set acceleration.

Parameters:

  | pVal | [in] Set acceleration-speed value.

VARIANT* IRdPhysObjAttrDisp::AccRotation`[get]`

Return angular acceleration.

Returns:
  pVal [out,retval] Angular=acceleration value.

VARIANT IRdPhysObjAttrDisp::AccRotation`[set]`

Set angular acceleration.

Parameters:

  | pVal | [in] Set angular-acceleration value.

BSTR* IRdPhysObjAttrDisp::Name`[get]`

Get name of phys object.

Returns:
  pVal [out,retval] Physics object name.

BSTR IRdPhysObjAttrDisp::Name`[set]`

Set name of phys object.

Parameters:

  | bstrVal | [in] Physics object name.

RtFloat* IRdPhysObjAttrDisp::Elasticity`[get]`

Returns elasticity.

Returns:
  pVal [out,retval] Elasticity value.

RtFloat IRdPhysObjAttrDisp::Elasticity`[set]`

Set elasticity.

Parameters:

  | Val | [in] Desired elasticity value.

RtFloat* IRdPhysObjAttrDisp::Friction`[get]`

Returns friction.

Returns:
  pVal [out,retval] Friction value.

RtFloat IRdPhysObjAttrDisp::Friction`[set]`

Set friction.

Parameters:

  | Val | [in] Desired friction value.

RtFloat* IRdPhysObjAttrDisp::Mass`[get]`

Returns mass.

Returns:
  pVal [out,retval] Mass value.

RtFloat IRdPhysObjAttrDisp::Mass`[set]`

Set mass.

Parameters:

  | Val | [in] Desired Mass value.

RtFloat* IRdPhysObjAttrDisp::Coarseness`[get]`

Returns coarseness.

Returns:
  pVal [out,retval] Coarseness value.

RtFloat IRdPhysObjAttrDisp::Coarseness`[set]`

Set coarseness.

Parameters:

  | Val | [in] Desired Coarseness value.

RtFloat* IRdPhysObjAttrDisp::Resistance`[get]`

Returns resistance.

Returns:
  pVal [out,retval] Resistance value.

RtFloat IRdPhysObjAttrDisp::Resistance`[set]`

Set resistance.

Parameters:

  | Val | [in] Desired Resistance value.